Summary: Realtime IRQ thread system tuning.
Name: rtirq
Version: 20050406
Release: 1
License: GPL
Group: System Environment/Base         
Source0: %{name}-%{version}.tar.gz
Patch0: rtirq-dupirqs.patch
Packager: rncbc
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Requires: /bin/sh, schedutils
Requires(post,preun): /sbin/chkconfig

%description
Startup scripts for tunning the realtime scheduling policy and priority
of relevant IRQ service threads, featured for a realtime-preempt enabled
kernel configuration. 

%prep
%setup -q
%patch0 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -D rtirq.sh   -m 0755 %{buildroot}%{_sysconfdir}/rc.d/init.d/rtirq
%{__install} -D rtirq.conf -m 0644 %{buildroot}%{_sysconfdir}/sysconfig/rtirq

# start rtirq after the alsasound startup script (starts at 87)
%{__perl} -p -i -e "s|35 81 19|35 88 19|g" %{buildroot}%{_sysconfdir}/rc.d/init.d/rtirq

# high priority is 80 instead of 90
%{__perl} -p -i -e "s|RTIRQ_PRIO_HIGH=90|RTIRQ_PRIO_HIGH=80|g" %{buildroot}%{_sysconfdir}/sysconfig/rtirq

%post
# only run on install, not upgrade
if [ "$1" = "1" ]; then
    /sbin/chkconfig --add rtirq
#   /sbin/chkconfig rtirq on
fi
if [ -L /etc/rc.d/rc5.d/S81rtirq ] ; then
    # update startup to new priority
    /sbin/chkconfig --del rtirq
    /sbin/chkconfig --add rtirq
fi

%preun
# only run if this is the last instance to be removed
if [ "$1" = "0" ]; then
    /sbin/chkconfig rtirq off
    /sbin/chkconfig --del rtirq
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/rtirq
%{_sysconfdir}/rc.d/init.d/rtirq

%changelog
* Wed Apr  6 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 20050406-1
- updated to new tarball
- added patch to avoid irq's used by several devices to end up lower
  in priority, helps maintain the soundcard at the proper irq priority
- changed default high priority
- with both changes the soundcard priority should be 70...63
* Mon Mar 21 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 20041118-2
- start rtirq after alsasound, add post script to check priority
  and readd rtirq if needed
* Thu Dec 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 20041118-1
- initial Planet CCRMA build
- do not rearrange interrupts on package install, seems safer to me,
  of course if there are problems this merely delays them till the 
  next reboot or when the user executes the script :-)
* Thu Nov 12 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Bumped to 20041112 version.
* Thu Nov 8 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Update for the new 20041108 version.
* Thu Nov 4 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created initial rtirq.spec

